#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-1Da6dkEyrg4H0RXDZApVo0
key:                  foldl-1.4.12-1Da6dkEyrg4H0RXDZApVo0
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  fe4938b5889c9b342f472ac97cfac69b
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.12-1Da6dkEyrg4H0RXDZApVo0
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-C9t8wh0hNXv3B1djuoJjtI containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.0.2-J44BDnT4N4jIfsjZsKg5ZQ
    primitive-0.7.4.0-1OkI0w4vVkZAnKazzRI3t
    profunctors-5.6.2-FRAyuphOIkq5v7FzkaI8Ys
    random-1.2.1.1-9D10sZLOM5T93tMINb9MTT
    semigroupoids-5.3.7-5B78CVm23hgLq9eADr8PDI text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-BhRjg5By7kU7pLGfSxEo3F
    vector-0.12.3.1-J4wWiZyTUBGFVf3h0yMQvX

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

